Issue 45085 - hang on loading .doc(ument)
Summary: hang on loading .doc(ument)
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: 680m79
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-15 14:06 UTC by mmeeks
Modified: 2013-08-07 14:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
hang on load (74.50 KB, application/msword)
2005-03-15 14:07 UTC, mmeeks
no flags Details
Doc with pictures & some tables. Slow import, hang on import complete (530.00 KB, application/msword)
2005-03-23 03:18 UTC, dancingbuddha
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description mmeeks 2005-03-15 14:06:40 UTC
So - I thought this would be fixed in swqfixes16/17 from the comments / commit
messages there, but on testing them, apparently not.

This document locks up (in m79) as a child of lcl_CalcLowers.

HTH.
Comment 1 mmeeks 2005-03-15 14:07:29 UTC
Created attachment 23855 [details]
hang on load
Comment 2 frank.meies 2005-03-15 14:45:30 UTC
FME->MMEEKS: This is a different problem that has not been fixed yet.
Comment 3 frank.meies 2005-03-22 07:26:25 UTC
FME->OD: As discussed, please have a look.
Comment 4 frank.meies 2005-03-22 07:27:34 UTC
.
Comment 5 Oliver-Rainer Wittmann 2005-03-22 13:48:55 UTC
cause of defect:
(a) the WW8 import filter doesn't import the drawing lines inside the table
cells correctly and these drawing lines are incorrect positioned.
(b) incorrect positioning algorithm for objects inside table cells - method
<lcl_DoesVertPosFits(..)> doesn't work correctly.
Comment 6 Oliver-Rainer Wittmann 2005-03-22 13:59:38 UTC
OD->MMEEKS:
Do you know with which Microsoft Word version the given document is created?
This information would help to correct the WW8 import filter.
Comment 7 mmeeks 2005-03-22 14:08:47 UTC
sadly not - [ the usual version stamps don't work ? ] however; the original bug was:

[snip]
The following document can't be opened by OpenOffice:
http://www.uni-wuerzburg.de/vordrucke/3010(in).doc
It worked with OpenOffice from SuSE 9.2
[snip]

I guess it's down to that German university :-)
Comment 8 dancingbuddha 2005-03-23 03:15:16 UTC
I am experiencing the same problem, importing a .doc with pictures. it's a
largeish document - 92 pages. I experienced the same behaviour importing an HTML
file from which I made the document using Word. OOo takes almost 2 minutes to
import the document, and then hangs. The document is attached
Comment 9 dancingbuddha 2005-03-23 03:18:02 UTC
Created attachment 24184 [details]
Doc with pictures & some tables. Slow import, hang on import complete
Comment 10 dancingbuddha 2005-03-23 03:19:44 UTC
Whoops. Forgot to mention that the document was created using Office 2003. 
Comment 11 Oliver-Rainer Wittmann 2005-05-19 10:56:54 UTC
OD->dancingbuddha:
Your document is imported into SRC680m103 without a hang/loop, but it takes a
some time. Please submit a new issue for the slow import performance, Thx.
Comment 12 Oliver-Rainer Wittmann 2005-06-08 12:13:26 UTC
OD->MMEEKS:
Could you please attach document <wontload.doc> unprotected. Otherwise, I could
not investigate the attributes of the line objects in Microsoft Word. Thx.
Comment 13 Oliver-Rainer Wittmann 2005-06-08 13:04:33 UTC
fixed the layout loop in cws swqbugfixes33 - changed file:
/sw/source/core/objectpositioning/tocntntanchoredobjectposition.cxx. 1.13.144.1
Comment 14 Oliver-Rainer Wittmann 2005-06-28 13:18:16 UTC
cws swqbugfixes33 will be canceled. Thus, integrate fix into cws swqbf34 -
changed file:
/sw/source/core/objectpositioning/tocntntanchoredobjectposition.cxx. 1.13.186.1
Comment 15 Oliver-Rainer Wittmann 2005-06-29 10:43:00 UTC
fix reviewed by FME.
Comment 16 Oliver-Rainer Wittmann 2005-07-04 09:48:11 UTC
OD->MRU:
Checked in internal installation of cws swqbf34 - please verify.

re-open issue and reassign to mru@openoffice.org
Comment 17 Oliver-Rainer Wittmann 2005-07-04 09:48:18 UTC
reassign to mru@openoffice.org
Comment 18 Oliver-Rainer Wittmann 2005-07-04 09:48:24 UTC
reset resolution to FIXED
Comment 19 michael.ruess 2005-07-06 12:40:06 UTC
Corrected "Target Milestone" to OO 2.0.
Comment 20 michael.ruess 2005-07-06 13:35:19 UTC
Verified fix in CWS swqbf34.
Comment 21 michael.ruess 2005-07-22 14:05:21 UTC
Checked integration of fix in build 680m119.